package demoInputValidation;

import java.awt.Toolkit;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

class AlphaOnlyDocument extends PlainDocument {
	
	public void insertString(int offset, String s, AttributeSet as)
			throws BadLocationException {

		// make sure string contains only letters

		boolean ok = true;
		for (int i = 0; i < s.length(); ++i) {
			char c = s.charAt(i);
			if (!Character.isLetter(c)) {
				ok = false;
				break;
			}
		}

		// if only letters, insert string, otherwise beep

		if (ok)
			super.insertString(offset, s, as);
		else
			Toolkit.getDefaultToolkit().beep();
	}
}
