package demoInputValidation;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

/**
 * This class implements controller behaviour for the application.
 * 
 * It receives requests (from the end user) and passes them to the model and/or
 * the view via method invocation
 * 
 */
public class DocumentBasedController implements DocumentListener {
	private ViewExplicitController view;
	private MyPlainDocument model;

	/*
	 * Creates a controller for the given view and model. @param view the view
	 * of the GUI. @param model the model of the GUI.
	 */
	public DocumentBasedController(ViewExplicitController view, MyPlainDocument model) {
		this.view = view;
		this.model = model;
	}

	public void changedUpdate(DocumentEvent e) {
		System.out.println(e);
	}

	public void insertUpdate(DocumentEvent e) {
		System.out.println("the string has just been updated (test at this point?)");
	}

	public void removeUpdate(DocumentEvent e) {
		System.out.println(e);
	}

}
