package demoInputValidation;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.EtchedBorder;
import javax.swing.border.TitledBorder;

public class ViewExplicitController extends JPanel implements View {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	JPanel mainPanel;
	private JTextField numericField;
	private JTextField alphaField;

	public ViewExplicitController(MyPlainDocument dataModel) {
		// -------------------------------
		// create and configure components
		// -------------------------------

		numericField = new JTextField(10);
		alphaField = new JTextField(10);

		// ------------------
		// arrange components
		// ------------------

		// put components in a panel

		JPanel p1 = new JPanel();
		p1.add(numericField);
		p1.setBorder(new TitledBorder(new EtchedBorder(), "Numeric field"));

		JPanel p2 = new JPanel();
		p2.add(alphaField);
		p2.setBorder(new TitledBorder(new EtchedBorder(), "Alpha field"));

		FocusBasedController c = new FocusBasedController(this, dataModel);
		numericField.addFocusListener(c);
		alphaField.addFocusListener(c);

		// KeyEventBasedController c = new KeyEventBasedController(this,
		// dataModel);
		// numericField.addKeyListener(c);
		// alphaField.addKeyListener(c);

		// DocumentBasedController c = new DocumentBasedController(this,
		// dataModel);
		// numericField.getDocument().addDocumentListener(c);
		// alphaField.getDocument().addDocumentListener(c);

		mainPanel = new JPanel();
		mainPanel.add(p1);
		mainPanel.add(p2);

		// make the panel this extended JFrame's content pane

		// this.setContentPane(panel);
	}

	public JPanel getView() {
		return mainPanel;
	}

	public JTextField getNumericField() {
		return numericField;
	}

	public JTextField getAlphaField() {
		return alphaField;
	}

}
