package demoInputValidation;

import javax.swing.*;
import javax.swing.border.EtchedBorder;
import javax.swing.border.TitledBorder;

public class ViewNoExplicitControllers extends JPanel implements View {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	JPanel mainPanel;
	private JTextField numericField;
	private JTextField alphaField;

	public JTextField getNumericField() {
		return numericField;
	}

	public JTextField getAlphaField() {
		return alphaField;
	}

	public ViewNoExplicitControllers(MyPlainDocument dataModel) {
		// -------------------------------
		// create and configure components
		// -------------------------------

		numericField = new JTextField(10);
		alphaField = new JTextField(10);

		// ------------------
		// arrange components
		// ------------------

		// put components in a panel

		JPanel p1 = new JPanel();
		p1.add(numericField);
		p1.setBorder(new TitledBorder(new EtchedBorder(), "Numeric field"));

		JPanel p2 = new JPanel();
		p2.add(alphaField);
		p2.setBorder(new TitledBorder(new EtchedBorder(), "Alpha field"));

		numericField.setDocument(new NumbersOnlyDocument());
		alphaField.setDocument(new AlphaOnlyDocument());

		mainPanel = new JPanel();
		mainPanel.add(p1);
		mainPanel.add(p2);

		// make the panel this extended JFrame's content pane

		// this.setContentPane(panel);
	}

	public JPanel getView() {
		return mainPanel;
	}

}
